# List groups Returns a paginated list of groups, ten groups per page by default. Use the startIndex and count (max 100) query parameters to paginate long lists of groups. It's possible to return a list of specific types of groups using the filter parameter. Endpoint: GET /scim/v2/Groups Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Content-Type` (string, required) The Content-Type of the request must be application/json. ## Query parameters: - `count` (integer) The number of records returned per page in the response. - `filter` (string) The filter used to filter the group, either by organization id. - `startIndex` (integer) The index number of the page that you want to retrieve. You must set count before specifying startIndex. For example, if you set count to 20 and startIndex to 2, the 21st to 40th records are returned in the response. ## Response 200 fields (application/json): - `schemas` (array) Example: ["urn:ietf:params:scim:api:messages:2.0:ListResponse"] - `id` (string,null) - `externalId` (string,null) - `meta` (object,null) - `totalResults` (integer) Total numbers of groups present. Example: 28 - `resources` (array) - `resources.displayName` (string) Example: "Test_GroupName" - `resources.members` (array) - `resources.members.value` (string) Example: "e1b624ac-e00f-422b-b4da-20070901b22f" - `resources.urn:zuora:scim:schemas:1.0:GroupExtension` (object) - `resources.urn:zuora:scim:schemas:1.0:GroupExtension.description` (string) Example: "Test_GroupDescription" - `resources.urn:zuora:scim:schemas:1.0:GroupExtension.organizationId` (string) Example: "5619df2e-fa8c-47fa-9c1e-16ab5af4936e" - `resources.urn:zuora:scim:schemas:1.0:GroupExtension.active` (boolean) Example: true ## Response 401 fields (application/json): - `success` (boolean) Indicates whether the call succeeded. - `reasons` (array) - `reasons.message` (string) Example: "Unauthorized" - `reasons.code` (string) Example: "90000011" ## Response 403 fields (application/json): - `timestamp` (string) The timestamp when the response was generated. Example: "2023-07-28T10:47:07.931+00:00" - `status` (string) Indicates whether the call succeeded. Example: 403 - `error` (string) A brief description of the error that occurred. Example: "Forbidden" - `message` (string) A detailed message providing additional context about the error or issue. This can be used for debugging or informational purposes. Example: "Admin access denied" - `path` (string) The API endpoint path that was accessed when the error occurred. This helps to identify which part of the API was involved. Example: "/scim/v2/Groups" ## Response 404 fields (application/json): - `schemas` (array) List of schema identifiers that define the format of the group resource. Example: ["urn:ietf:params:scim:api:messages:2.0:Error"] - `status` (string) The HTTP status code indicating the error type. Example: "404" - `detail` (string) A brief explanation of the error, providing context about the resource issue. Example: "Resource not found"